Bug 157357 - editor/libreoffice: ERROR: error 65280 occurred while making /usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2/build/libreoffice/pyuno/source/loader
editor/libreoffice: ERROR: error 65280 occurred while making /usr/ports/edito...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: office
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-26 22:40 UTC by ohartman
Modified: 2011-09-05 12:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ohartman 2011-05-26 22:40:05 UTC
On all FreeBSD 9.0-CURRENT/amd64 boxes I've running and maintaining, I can not build editors/libreoffice anymore. Two boxes do have 8 GB RAM, the third is a quite modern notebook with 4 GB RAM and plenty disk space, so memory or disk shouldn't be an issue.

I need to rebuild Libreoffice sind on all recent built FreeBSD 9.0-CURRENT/amd64 boxes, libreoffice is crashing.

Entering /usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2/build/libreoffice/sw/util

sw deliver
Module 'sw' delivered successfully. 0 files copied, 245 files unchanged

-----------------------------------------------------------------------
        Oh dear - something failed during the build - sorry !
  For more help with debugging build errors, please see the section in:
            http://wiki.documentfoundation.org/Development

  internal build errors:

ERROR: error 65280 occurred while making /usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2/build/libreoffice/pyuno/source/loader

 it seems that the error is inside 'pyuno', please re-run build
 inside this module to isolate the error and/or test your fix:
-----------------------------------------------------------------------

/usr/local/bin/bash
cd /usr/ports/editors/libreoffice/work/libreoffice-build-3.3.2.2/build/libreoffice
source ./FreeBSDAMDEnv.Set.sh
cd pyuno
build

when the problem is isolated and fixed exit and re-run 'make' from the top-level
sometimes (sadly) it is necessary to rm -Rf unxfbsdx.pro in a module.
gmake: *** [stamp/build] Error 1
*** Error code 1

Stop in /usr/ports/editors/libreoffice.
*** Error code 1

Stop in /usr/ports/editors/libreoffice.

How-To-Repeat: Try installing editors/libreoffice on most recent FreeBSD 9.0-CURRENT/amd64
Comment 1 Edwin Groothuis freebsd_committer 2011-05-26 22:40:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2011-07-22 06:34:15 UTC
Responsible Changed
From-To: bapt->office

Over to the office team
Comment 3 dfilter freebsd_committer 2011-09-05 12:45:45 UTC
bapt        2011-09-05 11:45:31 UTC

  FreeBSD ports repository

  Modified files:
    editors/libreoffice  Makefile distinfo 
    editors/libreoffice/files 
                              patch-clone__filters__oox__source__token__makefile.mk 
                              patch-clone_ure_sal_inc_sal_main.h 
                              patch-configure.in 
                              patch-solenv__inc__unxfbsd.mk 
  Added files:
    editors/libreoffice/files 
                              patch-clone__components__automation__source__testtool__objtest.cxx 
                              patch-clone_libs-gui__tools__inc__solar.h 
                              patch-set_soenv_in 
  Removed files:
    editors/libreoffice/files patch-solenv__inc__unx.mk 
  Log:
  - update to 3.4.3
  - New options:
    * SYSTRAY to activate the system try icons (quick start)
    * GTK (which to be able to build a completly gtk free version of libreoffice please notice that dependencies can bring back gtk, for example libgsf if not built with the following knob: WITHOUT_GCONF)
    * the GNOME option automatically activate the GTK one
    * PYUNO do enable/disable the build of the python bindings for the UNO framework
  
  - Disable system notification while building
  - Remove the wiki-publisher extensions, it forces the build to have 3 apache-commons distfiles bundles and one of them the httpclient was failing with some locales activated
  - Use pax instead or tar cf | tar xf, it is way faster to install
  - Fix reading/writting MS Office documents
  - Fix random segfaults: cell rendering options in calc, languages setting in global options
  - Largely reduce built time
  - Unbundle more things
  - Be able to work with packaged hunspell, thesaurus and hyphenation as well as the usual extensions
  - Now cups is mandatory (configure script is bugguy without cups)
  - remove broken
  
  PR:             ports/157357 ports/156038 ports/158945 ports/159287 ports/160023
                  ports/160318
  Submitted by:   Hartmann, O. <ohartman@zedat.fu-berlin.de> (ports/157357),
                  Kuan-Chung Chiu <buganini@gmail.com> (ports/156038),
                  Dmitry Pryanishnikov <lynx.ripe@gmail.com> (ports/158945),
                  Adrien <pmn@bakarika.net> (ports/159287),
                  Travis Hunter <travis.hunter@gmail.com> (ports/160023),
                  gcooper@ (ports/160318)
  With hat:       office@
  
  Revision  Changes    Path
  1.25      +124 -64   ports/editors/libreoffice/Makefile
  1.7       +46 -50    ports/editors/libreoffice/distinfo
  1.1       +14 -0     ports/editors/libreoffice/files/patch-clone__components__automation__source__testtool__objtest.cxx (new)
  1.2       +3 -3      ports/editors/libreoffice/files/patch-clone__filters__oox__source__token__makefile.mk
  1.1       +15 -0     ports/editors/libreoffice/files/patch-clone_libs-gui__tools__inc__solar.h (new)
  1.2       +5 -5      ports/editors/libreoffice/files/patch-clone_ure_sal_inc_sal_main.h
  1.2       +79 -3     ports/editors/libreoffice/files/patch-configure.in
  1.1       +26 -0     ports/editors/libreoffice/files/patch-set_soenv_in (new)
  1.2       +0 -17     ports/editors/libreoffice/files/patch-solenv__inc__unx.mk (dead)
  1.2       +22 -18    ports/editors/libreoffice/files/patch-solenv__inc__unxfbsd.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Baptiste Daroussin freebsd_committer 2011-09-05 12:46:54 UTC
State Changed
From-To: open->closed

Should be fixed in libreoffice 3.4.3.